# TSGetDuration

Gets the maximum number of timesteps to use and maximum time for iteration.

### Synopsis

    #include "petscts.h"
    PetscErrorCode PETSCTS_DLLEXPORT TSGetDuration(TS ts, PetscInt *maxsteps, PetscReal *maxtime)

Collective on TS

### Input Parameters

| ts | - the TS context obtained from TSCreate()
| maxsteps | - maximum number of iterations to use, or PETSC_NULL
| maxtime | - final time to iterate to, or PETSC_NULL

### Keywords

TS, timestep, get, maximum, iterations, time

Level:intermediate
Location: src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages